wxWidgets笔记_1_linux环境下wxwidgets的安装与配置

linux下wxwidgets环境的安装与配置

一.建立目标目录(自定义)

mkdir /opt/SCOTT

二.安装wxWidgets

1.wxWidgets版本可以选用wxGTK-2.8.12.tar.gz【wxWidgets-2.9.4.tar.bz2】【wxGTK-2.8.11.tar.gz】

2.运行以下命令,wxGTK默认安装到/usr/local/下,我们可以将其改到/opt/SCOTT下

                   tar xvzf wxGTK-2.8.12.tar.gz

                   cd wxGTK-2.8.12

用下面的命令:

./configure  --with-regex=builtin  -prefix=/opt/SCOTT  && make && make install

         注: --with-regex=builtin是为了避免编译codeblocks12版本时报wxRE_ADVANCED宏未定义的错误

         不能加--witch-odbc,这个会导致后面编译开发基础库代码的时候,windows基础类型重定义

三.安装IDE的依赖先决1-拼写检查器HUNSPELL

1.版本选用hunspell-1.3.2.tar.gz

2.运行以下命令,默认安装到/usr/local/下

         tarxvzf hunspell-1.3.2.tar.gz

         cd hunspell-1.3.2

         ./configure && make && make install

四.安装IDE的依赖先决2-文件及目录监视器gamin

1.版本选用gamin-0.1.10.tar.gz

2.运行以下命令,默认安装到/usr/local/下

  tarxvzf gamin-0.1.10.tar.gz

  cd gamin-0.1.10

./configure && make && make install

四.设置环境变量

1.编辑/opt/SCOTT/env.sh

#!/bin/sh

if [ -f ~/.bashrc ]; then

         .~/.bashrc

fi

echo '1\n'

PATH=$PATH:$HOME/bin:/usr/bin/:/usr/local/bin/:/bin/

echo '2\n'

export PATH

SCOTT_BASE=/opt/SCOTT; export SCOTT_BASE

TMP=/tmp; export TMP

TMPDIR=$TMP; export TMPDIR

PATH=$PATH:$ SCOTT_BASE /bin;export PATH

LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ SCOTT_BASE /lib:/lib:/usr/lib64:/usr/lib/:/usr;exportLD_LIBRARY_PATH

HUNSPELL_CFLAGS=’-I/usr/local/include/hunspell/-I/usr/local/include/ -I/usr/include’;export HUNSPELL_CFLAGS

HUNSPELL_LIBS=’-L/usr/local/lib/ -L/usr/lib/’;exportHUNSPELL_LIBS

GAMIN_CFLAGS=’-I/usr/local/include/ -I/usr/include/’;exportGAMIN_CFLAGS

GAMIN_LIBS=’-L/usr/local/lib/ -L/usr/lib/’;exportGAMIN_LIBS

2.启用上述环境变量,运行如下命令

  source /opt/SCOTT/env.sh

五.         安装IDE,即CodeBlocks

1.codeblocks版本选用codeblocks_12.11-1.tar.gz 【老版本为codeblocks-10.05-src.tar.bz2】

2.运行以下命令,codeblocks默认安装到/usr/local/下

tar xvzf codeblocks_12.11-1.tar.gz

cd codeblocks-12.11release8629

./configure  -with-contrib-plugins=all,-hexeditor,-NassiShneiderman,-ToolsPlus&& make && make install

不安装hexeditor插件是因为此版本中的hexeditor中有错误,会导致整个codeblocks编译不过

不安装NassiShneiderman插件是因为此版本中的该插件中有错误,会导致整个codeblocks编译不过

六.配置CodeBlocks开发环境

1.配置include目录

  【工具栏】->【Settings】->【Compiler…】->【Global compilersettings】->【Compiler settings】->【Other options】在下面的编辑框加入下面内容

  `wx-config –cflags`

2.配置lib目录

  【工具栏】->【Settings】->【Compiler…】->【Global compilersettings】->【Linker settings】->【Other Linker options】在下面的编辑框加入下面内容

  `wx-config –libs`

我来评几句
登录后评论

已发表评论数()

相关站点

+订阅
热门文章